﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Site-Slider.ascx.cs" Inherits="Ektron.Site.Widgets.Slider" %>
<%@ Register Assembly="Ektron.Cms.Controls" Namespace="Ektron.Cms.Controls" TagPrefix="CMS" %>
<div class="editors-menu-wrapper ui-helper-hidden">
    <CMS:ContentBlock ID="uxBannerContentBlock" runat="server" Visible="true" CssClass="slider-editors-menu" />
</div>
<ektronUI:JavaScriptBlock ID="uxEditorsMenu" runat="server" ExecutionMode="OnParse">
    <ScriptTemplate>
        Ektron.ready(function(){
            Ektron.Site.Slider.init({"speed": <%= this.SlideSpeed %>}); 
        });

        $ektron(".slider-editors-menu").children(":not(a.EktronEditorsMenuMarker, ul.EktronEditorsMenu)").remove();
        $ektron(".editors-menu-wrapper").removeClass("ui-helper-hidden");
    </ScriptTemplate>
</ektronUI:JavaScriptBlock>
<asp:MultiView runat="server" ID="uxSliderMultiView">
    <asp:View runat="server" ID="slidesView">
        <ul class="site-slider">
            <asp:Repeater runat="server" ID="uxBannerRepeater">
                <ItemTemplate>
                    <li>
                        <div class="content" style="background: url('<%# DataBinder.Eval(Container.DataItem, "SlideImage")%>') no-repeat;">
                            <div class="slideContent">
                                <h1>
                                    <%# DataBinder.Eval(Container.DataItem, "Title")%>
                                </h1>
                                <p>
                                    <%# DataBinder.Eval(Container.DataItem, "Summary")%>
                                </p>
                                <p class="moreLink">
                                    <a href="<%# DataBinder.Eval(Container.DataItem, "LinkUrl")%>">
                                        <%# DataBinder.Eval(Container.DataItem, "LinkText")%>
                                    </a>
                                </p>
                            </div>
                        </div>
                        <div class="clear">
                        </div>
                    </li>
                </ItemTemplate>
            </asp:Repeater>
        </ul>
    </asp:View>
    <asp:View runat="server" ID="noSlidesView">
        <asp:Literal runat="server" ID="uxError" Text="There are no slides found"></asp:Literal>
    </asp:View>
</asp:MultiView>
